# ProxyAPI-UI

## Description

This is the Frontend to manage your S3 Buckets and start Workflows. For further information visit the repository for the
backend https://gitlab.ub.uni-bielefeld.de/denbi/object-storage-access

## Environment Variables

These needs to be present when bundling the JavaScript files.   
This needs to be considered when building docker images.  

| Variable            | Default                   | Value     | Description                            |
|---------------------|---------------------------|-----------|----------------------------------------|
| `VITE_API_BASE_URL` | http://localhost:9999/api | HTTP URL  | Base URL for the API as backend        |
| `VITE_S3_URL`       | unset                     | HTTP URL  | URL of the S3 storage to interact with |

## Getting started

This service depends on multiple other services. See [DEVELOPING.md](DEVELOPING.md) how to set these up for developing
on your local machine.
